REM Find the BES Client directory
set BFOSDDIR=%1\Deploy\$OEM$\BigFixOSD
reg load HKEY_LOCAL_MACHINE\TempHive %1\Windows\system32\config\SOFTWARE

REM Set BESDIR
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\TempHive\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%1%%~pb%%~nb
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\TempHive\Wow6432Node\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%1%%~pb%%~nb

REM Make sure the BES Client is not installed
if "%BESDIR%"=="" goto cleanup

REM Delete old BES Client Masthead
rmdir /S /Q "%BESDIR%ActionSite.afxm"

REM Copy new BES Client Masthead
copy /Y "%BFOSDDIR%\ClientInstall\masthead.afxm" "%BESDIR%ActionSite.afxm"

:cleanup
reg unload HKEY_LOCAL_MACHINE\TempHive