REM Find the BES Client directory
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb

REM Make sure the BES Client is not installed
if not "%BESDIR%"=="" goto end

set BFOSDDIR=%SystemDrive%\Deploy\$OEM$\BigFixOSD

REM Install the BES Client
start "Install BES Client" /wait "%BFOSDDIR%\ClientInstall\setup.exe" /s /v"STARTAGENTSERVICE=0 /qn"

REM Make sure the BES Client was saved from the old OS
if not exist "%BFOSDDIR%\BES Client" goto end

REM Find the BES Client directory
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb

set BESDIR=%SystemDrive%%BESDIR%
if "%BESDIR:~-1%"=="\" SET BESDIR=%BESDIR:~0,-1%

rmdir /S /Q "%BESDIR%"

%SystemDrive%\Deploy\Tools\x86\dirmove.exe "%BFOSDDIR%\BES Client" "%BESDIR%"

REM Update the BES Client Settings
reg import "%BFOSDDIR%\RegistryKeys\_removeSettings.reg"
reg import "%BFOSDDIR%\RegistryKeys\_storedSettings.reg"
reg import "%BFOSDDIR%\RegistryKeys\_tag_image.reg"

REM Start the BES Client
net start BESClient

:end